Skip to Content
Micro-Surveys & NPS

Create reusable survey template with custom questions

View Markdown (.md)
POST
/api/v1/public/surveys

Configures a responsive web survey template supporting NPS (0-10), CSAT (1-5), star ratings, multiple choice, and open-ended feedback.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Request Body

application/json
  1. body
title*string
description?string
surveyType?string
Default"NPS_1_TO_10"
Value in"NPS_1_TO_10""CSAT_1_TO_5""CUSTOM"
questions*array<>

Response Body

Survey template created

application/json
  1. response
status?string
data?
Example Request
curl -X POST 'https://api.smspro.com/api/v1/public/surveys' \  -H 'Content-Type: application/json' \  -d '{  "title": "string",  "questions": [    {      "id": "string",      "type": "NPS_1_TO_10",      "label": "string"    }  ]}'
Example Response
{  "status": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "title": "string",    "surveyType": "string"  }}